@echo off
setlocal enabledelayedexpansion
echo please make sure you are admin！
echo 解压并部署redis，notepad及相关软件，请确保相关压缩包在当前目录。
echo 执行此脚本前，请确认已经安装解压缩程序WinRAR.exe
:::::::::: 配置参数 ::::::::::
::解压程序WinRAR.exe所在目录 32位%ProgramFiles(x86)% 或64位 %ProgramFiles%
::set WinRarDir=%ProgramFiles%\WinRAR
set WinRarDir=D:\Program Files\WinRAR

REM 基础文件
set project=info-publish-manager.tar.gz

REM 部署盘符
set Pan=D:\temp\
:::::::::: 执行脚本前，请配置以上参数。::::::::::
echo ------------------------------
set curdir=%~dp0
cd /d  %curdir%
echo 开始准备部署资源：
::检查基础文件
if exist %curdir%%project% (echo 存在：%project%) else (echo %project%文件不存在 & pause&exit)

echo ------------------------------
::创建部署目录
set deploydir=%Pan%
if exist %Pan% ( ^
    if exist %deploydir% (echo 存在：%deploydir%) else (mkdir %deploydir% & echo 已创建：%deploydir%)
) else ( ^
    echo ！！
    echo ！！执行失败，当前系统不存在%Pan%盘
    echo ！！
    pause&exit
)

echo ------------------------------
::解压并放到部署目录 32位%ProgramFiles(x86)% 或64位 %ProgramFiles%
if exist "%WinRarDir%\WinRAR.exe" (echo 已找到："%WinRarDir%\WinRAR.exe") else (echo 找不到："%WinRarDir%\WinRAR.exe"请检查。 & pause&exit)
echo 开始解压部署资源：
::替换掉.zip即移除后缀名形成解压到文件夹名
set "redisdir=%redis:.zip=%"
:: x即解压。-y是说如果遇到提示说是否覆盖，选择yes
start /wait "" "%WinRarDir%\WinRAR.exe" x -l %curdir%%project% %deploydir%\%project%\
copy "%curdir%script\Redis*" "%deploydir%\%project%\"

echo 部署资源已准备好，你可以开始部署了（请注意修改redis，preview等相关应用配置文件）。
echo ------------------------------
echo 检查服务是否存在：
::检查服务是否存在
set redisServerName=Redis
sc query "%redisServerName%" >nul && (echo 服务已存在：%redisServerName%) || (echo 请安装部署：%redisServerName%)
echo 检查服务已完成。

echo ------------------------------
echo 部署资源已准备好，请开始部署吧。
::部署完成，打开windows服务管理器
start "" "services.msc" -refresh
pause